
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SpringMVC的四个核心接口 / 憋错料</title>

    <meta name="description" content="SpringMVC的四个核心接口 在最简单的SpringMVC应用程序中,控制器是唯一的你需要在java web部署描述文件(即Web.xml文件)中配置Servlet.Spring MVC控制器---通常称做DispatcherServlet,实现了前端控制器设计模式,并且每个web请求必须通过他以便它能够管理请求的生命周期. 当一个web请求发送到SpringMVC应用程序,dispatcher servlet首先接受请求,然后他组织哪些在 Spring Web应用程序上下文配置的(例如实际请求处理控制器和视图解析器)或者使">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">SpringMVC的四个核心接口</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<blockquote><p>在最简单的SpringMVC应用程序中，控制器是唯一的你需要在java web部署描述文件（即Web.xml文件）中配置Servlet。Spring MVC控制器---通常称做DispatcherServlet,实现了前端控制器设计模式，并且每个web请求必须通过他以便它能够管理请求的生命周期。</p>
<p>当一个web请求发送到SpringMVC应用程序，dispatcher servlet首先接受请求，然后他组织哪些在 Spring Web应用程序上下文配置的（例如实际请求处理控制器和视图解析器）或者使用注解配置的组件，所有者这些都需要处理该请求。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzEwNzE1NDUvMjAxNjEyLzEwNzE1NDUtMjAxNjEyMTUxMTM2MzYxOTgtMTE2NzQyNDM4Ny5qcGc=.jpg"></p>
<p>在Spring3.0中定义一个控制器类，这个类必须标有@Controller注解。</p>
<p>当有@Controller注解的控制器收到一个请求时，它会寻找一个合适的handler方法去处理这个请求。这就需要控制器通过一个或多个handler映射去把每个请求映射到handler方法。为了这样做，一个控制器类的方法需要被@RequestMapping注解装饰，使它们成为handler方法。</p>
<p>handler方法处理完请求后，它把控制权委托给视图名与handler方法返回值相同的视图。为了提供一个灵活的方法，一个handler方法的返回值并不代表一个视图的实现而是一个逻辑视图，即没有任何文件扩展名。你可以将这些逻辑视图映射到正确的实现，并将这些实现写入到上下文文件，这样你就可以轻松的更改视图层代码甚至不用修改请求handler类的代码。<br />为一个逻辑名称匹配正确的文件是视图解析器的责任。一旦控制器类已将一个视图名称解析到一个视图实现。它会根据视图实现的设计来渲染对应对象。</p></blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 22:50:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/log/" title="log">log</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.biecuoliao.com/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.biecuoliao.com/tag/app/" title="app">app</a>, <a href="https://www.biecuoliao.com/tag/%e6%8e%a7%e5%88%b6/" title="控制">控制</a>, <a href="https://www.biecuoliao.com/tag/web%e5%ba%94%e7%94%a8/" title="web应用">web应用</a>, <a href="https://www.biecuoliao.com/tag/spring/" title="spring">spring</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%8a%e4%b8%8b%e6%96%87/" title="上下文">上下文</a>, <a href="https://www.biecuoliao.com/tag/patch/" title="&dollar;patch">&dollar;patch</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>SpringMVC的四个核心接口的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGdo8V0.html" rel="bookmark">SpringMVC学习&lpar;四&rpar;&mdash;&mdash;Spring、MyBatis和SpringMVC的整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前我整合了Spring和MyBatis这两个框架,不会的可以看我的文章MyBatis框架的学习(六)——MyBatis整合Spring.本文我再来讲SpringMVC和MyBatis整合开发的方法,这样的话,Spring.MyBatis和SpringMVC三大框架的整合开发我们就学会了.这里我使用的Spring是Spring4.1.3这个版本(SpringMVC自然也是这个版本),MyBatis是MyBatis3.2.7这个版本. 为了更好的学习SpringMVC和MyBatis整合开发的方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzyn884.html" rel="bookmark">Quartz使用&lpar;2&rpar; - Quartz核心接口Scheduler、Job</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				quartz的核心接口如下: 接口 含义 Scheduler scheduler的主要API接口 Job 任务实现接口,期望调度器能够执行 JobDetail 用于定义Job实例 Trigger 调度器基于特定时间来执行指定任务的组件 JobBuilder 用于定义.创建JobDetail实例 TriggerBuilder 用于定义.创建Trigger实例 1. Scheduler 一个调度器的生命周期为通过SchedulerFactory创建,直到执行其shutdown()方法.当Schedu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyd9a3.html" rel="bookmark">精通Hibernate&mdash;&mdash;Hibernate核心接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				应用程序可以通过Hibernate的API访问数据库,Hibernate API中的接口可分为以下几类: 提供访问数据库的操作(保存.更新.删除.查询)接口,这些接口包括Session.Transaction.Query接口 用于配置Hibernate的接口:Configuration 回调接口,使应用程序接受Hibernate内部发生的事件,并做出相关回应,这些接口包括:Interceptor.LifeCircle.Validatable接口 用于扩展Hibernate功能的接口 Hibern			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35VXWj4.html" rel="bookmark">hibernate核心接口，和扩展接口。回顾笔记，以前没记，现在补上，纯手工敲的。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				hibernate核心接口: 所有的hibernate应用都会访问hibernate的5个核心接口 1,Configuration接口 Configuration用于配置并且根启动Hibernate.Hibernate应用通过Configuration实例来获取对象-关系映射文件中的元数据,以及动态配置Hibernate的属性,然后创建SessionFactory实例. 2,SessionFactory接口 一个SessionFactory实例对应一个数据存储源,应用从SessionFactor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYlmn3.html" rel="bookmark">Hibernate核心接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所有的hibernate应用都会访问5个核心接口: configuration接口:配置Hibernate,根启动Hibernate,创建sessionfactory; sessionFactory接口:初始化Hibernate,充当存储数据源的代理,创建session对象; session接口:负责保存,修改,删除,查询,加载对象; transaction接口:管理事务. Query和criteria接口:执行数据库查询. Hibernate核心接口,布布扣,bubuko.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6bmvNM.html" rel="bookmark">ubuntu下搭建android开发环境（四）核心篇安装AndroidStudio、sdk、jdk（by 星空武哥）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请标注原创地址:http://blog.csdn.net/lsyz0021/article/details/52215996 所有的软件均在ubuntu 14.04 LTS下测试 ubuntu下搭建android开发环境(一)安装ubuntu系统 ubuntu下搭建android开发环境(二)设置ubuntu的root管理员密码 ubuntu下搭建android开发环境(三)ubuntu安装搜狗输入法 ubuntu下搭建android开发环境(四)核心篇安装AndroidStudio.sdk			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lLN1E0.html" rel="bookmark">webpack你值得拥有-从四个核心配置谈起</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很久没有发文章了,但是强调一点,大-熊同学最近可没闲着.学习算法,复习计算机网络,也顺便学习了一下webpack,看了看操作系统(没办法,都没学,要是不学连实习笔试都过不了,伤心--).本来比较纠结是写关于算法的文章呢还是关于webpack的呢.最终决定写关于webpack 的,一方面,虽然刚刚开始学习webpack,但是他的特性让人感觉非常爽,然我有一种想分享的冲动;另一方面,算法要写公式,这个编辑器貌似不太好编辑,截图也比较麻烦.废话不说了,这篇文章介绍webpack的四个核心配置项.我写的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35ng614.html" rel="bookmark">hibernate学习系列-----（2）hibernate核心接口和工作机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇文章hibernate学习系列-----(1)开发环境搭建中,大致总结了hibernate的开发环境的搭建步骤,今天,我们继续了解有关hibernate的知识,先说说这篇文章的主要内容吧: Configuration类 SessionFactory接口 Session接口 Transaction接口 Query和Criteria接口 下面就进行分类别地详细说明: Configuration类 功能描述:Configuration类负责管理Hibernate的配置信息作并根据配置信息启动H			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgyW9R3.html" rel="bookmark">DOM对象模型接口规范中的四个基本接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DOM对象模型的四个基本接口 在DOM对象模型接口规范中,有四个基本的接口:Document,Node,NodeList以及NamedNodeMap.在这四个基本接口中,Document接口是对文档进行操作的入口,它是从Node接口继承过来的.Node接口是其他大多数接口的父类,象Documet,Element,Attribute,Text,Comment等接口都是从Node接口继承过来的.NodeList接口是一个节点的集合,它包含了某个节点中的所有子节点.NamedNodeMap接口也是一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QpOw3.html" rel="bookmark" class="title">Namber函数</a>
					<div>
						定义和用法 Number() 函数把对象的值转换为数字. 语法 Number(object) 参数 描述 object 必需.JavaScript 对象. 返回值 如果参数是 Date 对象,Numb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47ank0.html" rel="bookmark" class="title">Configure Red Hat Enterprise Linux shared disk cluster for SQL Server&mdash;&mdash;RHEL上的&OpenCurlyDoubleQuote;类&rdquo;SQL Server Cluster功能</a>
					<div>
						下面一步一步介绍一下如何在Red Hat Enterprise Linux系统上为SQL Server配置共享磁盘集群(Shared Disk Cluster)及其相关使用(仅供测试学习之用,基础篇) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0noxX3.html" rel="bookmark" class="title">python小白-day7 socket初识</a>
					<div>
						Socket socket通常也称作&quot;套接字&quot;,用于描述IP地址和端口,是一个通信链的句柄,应用程序通常通过&quot;套接字&quot;向网络发出请求或者应答网络请求. sock ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQeKl3.html" rel="bookmark" class="title">Hibernate常用代码</a>
					<div>
						1.Hibernate使用步骤 1.导入Hibernate包,以及数据库驱动包. 2.引入Hibernate主配置文件hibernate.cfg.xml. 3.创建实体类 4.创建映射关系文件 5.使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr7YB4.html" rel="bookmark" class="title">asp&period;net 后台验证成功（弹出对话框）并跳转？不能实现</a>
					<div>
						原始 Context.Response.Write(&quot;&lt;script&gt;&lt;/script&gt;&quot;); Response.Redirect(); 解决办法: Cli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZjjk3.html" rel="bookmark" class="title">【转】JSP中的JSTL与EL表达式用法及区别</a>
					<div>
						对于JSTL和EL之间的关系,这个问题对于初学JSP的朋友来说,估计是个问题,下面来详细介绍一下JSTL和EL表达式他们之间的关系,以及JSTL和EL一些相关概念! EL相关概念JSTL一般要配合EL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqvba0.html" rel="bookmark" class="title">struts2 结果页面配置</a>
					<div>
						&lt;result&gt;标签: * 属性: * name:逻辑视图的名称 * type:结果页面类型. * dispatcher         :转发.默认值. * redirect       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NzJGy4.html" rel="bookmark" class="title">jQuery - slice&lpar; start&comma; &lbrack;end&rsqb; &rpar; Method</a>
					<div>
						Description The slice( start, end ) method selects a subset of the matched elements. Syntax Here is  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lyKv0.html" rel="bookmark" class="title">kmp多次匹配</a>
					<div>
						1 #include &lt;iostream&gt; 2 #include &lt;cstring&gt; 3 using namespace std; 4 int ans=0,i,j,ls,lp, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7mmN4.html" rel="bookmark" class="title">Android多线程研究（1）&mdash;&mdash;线程基础及源码剖析</a>
					<div>
						从今天起我们来看一下Android中的多线程的知识,Android入门容易,但是要完成一个完善的产品却不容易,让我们从线程开始一步步深入Android内部. 一.线程基础回顾 package com. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBa9Oy4.html" rel="bookmark" class="title">asm 兼容性、asm 主要参数管理</a>
					<div>
						asm 兼容性.asm 主要参数管理一 ASM instance 与 Database instance 的版本兼容性说明 1. Oracle 11gR2 的ASM 支持11g和10g的数据库实例.但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPxXOM.html" rel="bookmark" class="title">oracle创建数据库连接dblink</a>
					<div>
						-- 第二种方法:直接配置 -- 如果创建全局 dblink,必须使用 systm 或 sys 用户,在 database 前加 public. create /* public */ databas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwLgP3.html" rel="bookmark" class="title">mysql 分表策略</a>
					<div>
						mysql单表数据量巨大时,查询性能会很差,经常遇到的是存储日志相关的数据会每天产生大量的数据. 这里提供单表拆分成多表存储的三个思路: 一,固定N张表,ID取模存储 预先创建好N张表,记录按ID取模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGpyA60.html" rel="bookmark" class="title">is&lowbar;uploaded&lowbar;file总是返回false的问题</a>
					<div>
						is_uploaded_file ile总是返回false,根据以下方法进行检查,全部检查通过. 1,是否通过http协议上传. 2,form中是否有 enctype=&quot;multipart/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwzPn4.html" rel="bookmark" class="title">Makefile生成多个可执行文件</a>
					<div>
						如何撰写生成多个可执行文件的Makefile? 例如工程需要生成多个可执行文件: test1.c; test2.c; test3.c test1.h; test2.h; test3.h 我们希望生成三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RLxYY4.html" rel="bookmark" class="title">步步为营-80-错误页</a>
					<div>
						说明:错误页在系统中的地位很重要. 如果系统报错后显示一下页面,有一些信息和代码暴露,而且显得不专业 1.1 配置web.config,配置customErrors区域:    &lt;customE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MorEBy4.html" rel="bookmark" class="title">mysql学习&lpar;2&rpar;-MySQL服务器优化</a>
					<div>
						调优思路: 1.数据库设计与规划--以后再修该很麻烦,估计数据量,使用什么存储引擎 2.数据的应用--怎样取数据,sql语句的优化 3.mysql服务优化--内存的使用,磁盘的使用 4.操作系统的优化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg9Jar3.html" rel="bookmark" class="title">Eclipse的switch workspace 选项中删除多余的workspace</a>
					<div>
						方法1 Eclipse图形化工具: 打开Eclipse后,选择功能菜单里的Windows-&gt;Preferences-&gt;,弹出对话框后,选择General-&gt;Startup and S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QYgwN4.html" rel="bookmark" class="title">Java&colon; &vert;&lpar;或运算&rpar; 与 多选判断</a>
					<div>
						今天需要在程序中做一个多选判断,突然想起以前经常遇到的 x |= y | z; 这样的,我也明白这个是多选的用意,但为什么能达到我们希望的多选操作,我还真的没去研究过. 今天早上,百度了一下,搜索到了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eWWWb4.html" rel="bookmark" class="title">Linux编译安装Darwin Streaming Server 6&period;0&period;3。。。</a>
					<div>
						目前主流的流媒体服务器有微软的windows media server.RealNetworks的Helixserver和苹果公司的Darwin Streaming Server. 微软的window ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
